import { BaseClientConfig } from './types';
import { InstagramMessageClient } from './modules/instagram-message.client';
import { InstagramUserClient } from './modules/instagram-user.client';
import { InstagramPostClient } from './modules/instagram-post';
import { InstagramCommentClient } from './modules/instagram-comment';
export declare class InstagramApiClient {
    messages: InstagramMessageClient;
    users: InstagramUserClient;
    posts: InstagramPostClient;
    comments: InstagramCommentClient;
    constructor(config: BaseClientConfig);
}
