"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhatsappBusinessApiClient = void 0;
const config_1 = require("../config");
const template_messages_client_1 = require("./modules/template-messages.client");
class WhatsappBusinessApiClient {
    constructor(config) {
        const axiosInstance = (0, config_1.createAxiosInstance)(config.token, config.businessAccountId, config.apiUrl);
        this.message_templates = new template_messages_client_1.TemplateMessagesClient(axiosInstance, config.onError);
    }
}
exports.WhatsappBusinessApiClient = WhatsappBusinessApiClient;
