import { AxiosInstance } from 'axios';
import { BaseClientConfig, InstagramPostInfo } from '../types';
export declare class InstagramCommentClient {
    private config;
    private client;
    private onError?;
    constructor(client: AxiosInstance, config: BaseClientConfig);
    delete(commentId: string): Promise<InstagramPostInfo>;
    hide(commentId: string): Promise<InstagramPostInfo>;
    private handleError;
}
