import { AxiosInstance } from 'axios';
import { Session } from '../types';
export interface GenerateTokenParams {
    secretKey: string;
}
export interface StartSessionParams {
    webhook: string;
}
export declare class AuthClient {
    private client;
    constructor(client: AxiosInstance);
    generateToken({ secretKey }: GenerateTokenParams): Promise<any>;
    startSession({ webhook }: StartSessionParams): Promise<Session>;
    sessionStatus(): Promise<Session>;
    getQrCode(): Promise<Session>;
    closeSession(): Promise<any>;
}
